×

INDI Library v1.9.8 Released (29 Sep 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

indi-nexstarevo issues and questions

  • Posts: 27
  • Thank you received: 2
> These are *NOT* RS232 ports at all
Oh! I have blindly bought such cable as it was sold by Celestron itself (hence my assumption it is the right thing!).
When testing (with "Celestron NExstar" driver) I was connecting this cable to hand controllers input only (not the mount) from what i saw on internet (www.cloudynights.com/uploads/monthly_11_...42000-1479812820.jpg)


As for Software versions, I had some problems in different topic but i hope i am up to date:
indilib.org/forum/ccds-dslrs/2840-asi-29...ing-on-fedora27.html
>  rpm -qa | grep kstars
kstars-17.08.1-3.fc27.x86_64
 
>  rpm -qa | grep indi
indi-maxdomeii-bleeding-1.6.0-4.1.x86_64
indi-dsi-bleeding-1.6.0-4.1.x86_64
indi-sx-bleeding-1.6.0-4.1.x86_64
indi-apogee-bleeding-1.6.0-4.1.x86_64
libindi-bleeding-1.6.0-3.1.x86_64
indi-mi-bleeding-1.6.0-4.1.x86_64
indi-sbig-bleeding-1.6.0-4.1.x86_64
libappindicator-gtk3-12.10.0-16.fc27.x86_64
guice-multibindings-4.1-8.fc27.noarch
indi-fli-bleeding-1.6.0-4.1.x86_64
indi-qsi-bleeding-1.6.0-4.1.x86_64
indi-aagcloudwatcher-bleeding-1.6.0-4.1.x86_64
indi-atik-1.26-1.7.x86_64
indi-nexstarevo-bleeding-1.6.0-4.1.x86_64
indi-gpsd-bleeding-1.6.0-4.1.x86_64
indi-ffmv-bleeding-1.6.0-4.1.x86_64
indi-spectracyber-bleeding-1.6.0-4.1.x86_64
libindicator-gtk3-12.10.1-11.fc27.x86_64
indi-gphoto-bleeding-1.6.0-4.1.x86_64
indi-asi-bleeding-1.6.0-4.1.x86_64
indi-tess-bleeding-1.6.0-4.1.x86_64
indi-eqmod-bleeding-1.6.0-4.1.x86_64
indi-fishcamp-bleeding-1.6.0-4.1.x86_64
indi-qhy-bleeding-1.6.0-4.1.x86_64
lupinix-indi-bleeding-1.0-176.3.noarch

Looks like I am not using kstars-bleeding. Not sure If I am supposed to and not sure what is the difference :) (does "bleeding" stands for development version? :) )

Thank you for your help!
Last edit: 4 years 10 months ago by Albert Szostkiewicz.
4 years 10 months ago #21268
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 200
  • Thank you received: 57
One more data point - the same problem shows itself on debian/ubuntu with Jasem oficial packages.
I am working on it.
P.
4 years 10 months ago #21270

Please Log in or Create an account to join the conversation.

  • Posts: 200
  • Thank you received: 57
1) Connection: fortunately the socket is different - so you are safe. Unfortunately the driver does not support serial connection so it is only useful with celestron-nexstar-gps driver (standard celestron driver). And it should work very well.
2) Driver: the 1.6 version has definitely some problem. Could you try the 1.5 version distributed with fedora 27? It should work. You can just install kstars and libindi from the standard fedora repo.
P.
4 years 10 months ago #21271

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 2
1. I have exactly same problem when connecting with Cable and trying celestron-nexstar-gps driver. It does connect to the mount (at least it says it's connected) but It doesn't respond to any actions.
Maybe I am doing something wrong here?

2. I've disabled repo,removed and re-installed kstars and indi drivers. Looks like your driver does not come with default fedora repos.
Should I use any specific repo to get your driver 1.5 ?
>  rpm -qa | grep kstars
kstars-17.08.1-3.fc27.x86_64
>  rpm -qa | grep indi-
libindi-devel-1.5.0-1.fc27.x86_64
indi-eqmod-1.5.0-1.fc27.x86_64
libindi-1.5.0-1.fc27.x86_64
indi-gphoto-1.5.0-1.fc27.x86_64
libindi-static-1.5.0-1.fc27.x86_64
kde-i18n-Hindi-3.5.10-24.fc27.noarch
indi-aagcloudwatcher-1.5.0-1.fc27.x86_64
indi-apogee-1.5.0-1.fc27.x86_64
indi-sx-1.5.0-1.fc27.x86_64
lupinix-indi-bleeding-1.0-176.3.noarch

4 years 10 months ago #21273
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 200
  • Thank you received: 57
Found a stupid double-connect error. Now it works. The fix should be released soon on the standard channels - as soon as Jasem merges the fix.
P.
4 years 10 months ago #21283

Please Log in or Create an account to join the conversation.

  • Posts: 27
  • Thank you received: 2
Thanks Jochym!

What bugs me and I am little bit lost here - As you have mentioned, adding usb/cable support is tricky, but as I understand, this is already supported via "indi_celestron_gps". Unless it is not designed to work with evolutions ?
I'm creating separate topic for that driver, as I understand that both problems might be unrelated?
(indilib.org/forum/mounts/2845-indi-celes...ion-no-response.html)
4 years 10 months ago #21285

Please Log in or Create an account to join the conversation.

  • Posts: 200
  • Thank you received: 57
celestron_gps is quite a different driver but should work the way you are trying to use (i.e. over serial cable connected to the hand controller). The main difference between nexstar and nexstar-evolution is the addition of build-in skyfi device (wifi-to-serial bridge connected to the aux interface). The rest is very similar - control-wise.
I think the problems are not really connected. The serial connection problems are usually with access rights and serial speed settings.
The evolution driver is merged now and should show up in the repos over next build cycle (approx 24h)
P.
4 years 10 months ago #21287

Please Log in or Create an account to join the conversation.

Time to create page: 0.510 seconds